EDIT - bug #9562

Publish flag of field units and derived units are not handled correctly
03/26/2021 03:59 PM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.22

Severity: blocker Found in Version:

Description

when editing the field unit publish flag the publish flag of the derivate units are changed, too and/or not saved correctly.

Associated revisions

Revision 6dd14e6f - 03/26/2021 04:01 PM - Katja Luther

fix #9562: getting the correct value for publish flag of field unit and derived unit

History

#1 - 03/26/2021 04:07 PM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|6dd14e6fb067{81fb1deba7377d5bf81312a5991.

#2 - 03/26/2021 04:10 PM - Katja Luther
- Assignee changed from Katja Luther to Andreas Mdiller

- Severity changed from normal to blocker

this should be fixed. The problem was that the value for the publish checkbox was taken from DerivedUnitFace.isPublish() and this always returns the
value of the field unit if a field unit exists.

Now the value for the publish checkbox is taken from DerivedUnitFacade.innerDerivedUnit().isPublish for derived units and
DerivedUnitFacade.innerFieldUnit().isPublish for field units.

#3 - 03/30/2021 01:45 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 50 to 100

This seems to work
